| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_PRNT_Device_t Struct Reference
Printer Class Device Mode Driver

Printer Class Device Mode Configuration and State Structure. More...

`#include <PrinterClassDevice.h>`

## Data Fields
struct {
USB_Endpoint_Table_t DataINEndpoint
USB_Endpoint_Table_t DataOUTEndpoint
char * IEEE1284String
uint8_t InterfaceNumber
} | Config
struct {
volatile bool IsPrinterReset
uint8_t PortStatus
} | State

## Detailed Description

Class state structure. An instance of this structure should be made for each Printer interface within the user application, and passed to each of the Printer class driver functions as the PRNTInterfaceInfo parameter. This stores each Printer interface's configuration and state information.

## Field Documentation

struct { ... } USB_ClassInfo_PRNT_Device_t::Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

USB_Endpoint_Table_t USB_ClassInfo_PRNT_Device_t::DataINEndpoint

Data IN endpoint configuration table.

USB_Endpoint_Table_t USB_ClassInfo_PRNT_Device_t::DataOUTEndpoint

Data OUT endpoint configuration table.

char* USB_ClassInfo_PRNT_Device_t::IEEE1284String

IEEE 1284 identification string, sent to the host during enumeration to identify the printer model, manufacturer and other characteristics.

uint8_t USB_ClassInfo_PRNT_Device_t::InterfaceNumber

Interface number of the Printer interface within the device.

volatile bool USB_ClassInfo_PRNT_Device_t::IsPrinterReset

Flag indicating that the host has requested that the Printer interface be reset and that all current Mass Storage operations should immediately abort.

uint8_t USB_ClassInfo_PRNT_Device_t::PortStatus

Current status of the Printer virtual port, a collection of `PRNT_PORTSTATUS_*` bitmask values.

struct { ... } USB_ClassInfo_PRNT_Device_t::State

State data for the USB class interface within the device. All elements in this section are reset to their defaults when the interface is enumerated.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Device/PrinterClassDevice.h